Help me figure out a wii!

Discussion in 'Wii - Hacking' started by apachehavok, Nov 23, 2016.

  1. apachehavok
    OP

    apachehavok GBAtemp Fan

    Member
    329
    69
    Jan 17, 2014
    Angola
    Hey all!

    Acquired a wii with a mod chip.

    Thing runs DVD-r backups just fine and GC disk backups as well!

    I would rather not run off the disks and would love to get USB loader GX working.

    From what I can tell:

    Homebrew channel IS installed with this info:
    1.1.0
    IOS61 V21.29

    Popped the latest USB loaderGX on an SD under apps and get an error running it. Something about needing to be on IOS58 or something?


    Is this thing still modable? What can I do?

    Not computer noob, but complete noob when it comes to Wii modding.

    Thanks for any help!
     
  2. Zonta85

    Zonta85 GBAtemp Fan

    Member
    333
    23
    Nov 9, 2007
    Italy
    Ascoli Piceno
    You need the IOS58 and the cIOS, but your homebrew channel is outdated and i think the wii system menu too.

    1)Update your HBC. Download the Hackmii installer from here https://bootmii.org/download/
    Extract to your sd/apps, launch trough HBC and update it, install/update bootmii too, in boot2 if is possible,or as IOS
    2)When you have updated your HBC to 1.1.2 update your console trough the internal updater in the settings menu. Be sure that you have updated your homebrew channel before updating the system menu or you should lose it, and it means that you will spent more time to reinstall it.
    3)Install the cIOSes using this guide https://sites.google.com/site/completesg/backup-launchers/installation
    4)You are ready to use Wii/Gc games from USB :)
     
  3. Ninjamaster

    Ninjamaster Member

    Newcomer
    22
    0
    Dec 1, 2009
    Norway
    So its safe to update a Wiikey2 hardmodded Wii's firmware from 4.1 to 4.3? Its been 7 years since Ive done this stuff... My setup looks very much like OP, I also made a post in Noob Thread)
     
  4. DaMan4169

    DaMan4169 Advanced Member

    Newcomer
    95
    4
    Aug 12, 2009
    United States
    First off, unless you did the softmod yourself and know exactly what was done to it, NEVER attempt an update through System Menu or a disc.
    If you don't have IOS58 installed you have to be on SM 4.2 or lower, most likely 4.1. And if you haven't been constantly nagged by the disc channel every time you play a retail disc, then you most likely also have Preloader/Priiloader installed which would block official updates anyway. Updating your System Menu will most likely render your modchip useless. One or two modchips had firmware updates to work past 4.1 but by then most modders had moved to softmods and/or USB loading so hard mods quite being supported.

    If you have a Windows machine (or can run Windows programs) use Modmii to create a guide for your Wii. Put it on your computer answer a few questions it will create a guide and build all the files you need.

    There is also a decent softmod any wii guide over on WiiHacks but it can be hard to follow.

    What you want to do is:

    Use current HBC and a wad manager to install IOS58
    Use HBC to load Hackmii installer to update HBC and to run on IOS58
    Use a wad manager or cIOS installer to install cIOSs 249[56] and 250[57] I'd use d2x v10beta52 but d2x v8 should work
    *optionally use a wad manager to install updated versions of IOSs used by games (ones lower than 58 not including 36).

    If you don't plan on playing from disc anymore, you really just need HBC running on IOS58 and the updated cIOS249.
    Some games, like CoD, need a cIOS based off IOS57 or they just black screen when loading so install cIOS250 and GX will require a setting change to load the game with IOS250. Other loaders like CFG or WiiFlow auto select the best cIOS from the ones installed.
     
  5. Ninjamaster

    Ninjamaster Member

    Newcomer
    22
    0
    Dec 1, 2009
    Norway
    Thanks for this awesome reply! I am in 4.1, all discs thus far have worked fine, retail and backups of Wii, retail of GC. Preloader sounds familiar but I am not sure. I just updated to newest HBC and installed BootMii with the Hackmii installer. All works fine but homebrew browser didnt show up(prolly just the folder on SDcard). Grabbing all the files with the ModMii program right now, hopefully everything will work out. I also did a SysCheck, anything in particular I should look for in the review?
    Some of the info from SysCheck:
    "Found 150 titles
    Found 25 IOS on this console
    Found 9 IOS Stubs on this console
    IOS (revision),IOS Stub,Trucha Bug,ES Identify,Flash Access,NAND Access,Boot2 Access,USB 2.0"
     
  6. Zonta85

    Zonta85 GBAtemp Fan

    Member
    333
    23
    Nov 9, 2007
    Italy
    Ascoli Piceno
    It's safe to update a wiikey 2 trough official updates. I have a wiikey 1 and a datone wii and i have no problems because updates doesn't care about the hardmod.
    Updating diretrly to 4.3 if you already updated the hbc (as i wrote before) doesn't compromise the softmod, this is the reason because is the updating method suggested by wiibrew and the team twiizers.
     
  7. Ninjamaster

    Ninjamaster Member

    Newcomer
    22
    0
    Dec 1, 2009
    Norway
    Ok is exactly what I did:
    I got hackmii 1.2 and installed latest Homebrew channel and bootmii
    I used the IOS236 installer
    I got Wad manager and a bunch of IOS/cIOS from Modmii and installed those, IOS58 amongst others
    I installed Priiloader and enabled some lockouts on updating and chose region free player.
    I install Homebrew Browser, open it, get error message but starts and works semmingly, but it crashes when I browse Emulators and returns to HBC
    I install Sega Genesis emulator, loading games works, but it does not return to system menu and screen gets black and I have to reset Wii
    I notice I am still in IOS61 in HBC so I reinstall HBC with Hackmii so it gets to IOS58

    after reinstalling HBC I cannot get into Wii System Menu, either from boot or HBC. The screen goes black I and have to reset the Wii. I get into HBC from Bootmii startup.

    Did I screw it up because I installed the other IOS in IOS61 HBC or something?
     
    Last edited by Ninjamaster, Nov 23, 2016
  8. Zonta85

    Zonta85 GBAtemp Fan

    Member
    333
    23
    Nov 9, 2007
    Italy
    Ascoli Piceno
    This sucks. The better thing was first to update hbc and bootmii and then to update trough the official built in network updater, i don't understand why the other user told you to don't do it, it doesn't affect wiikey v1 or v2 or any hardmod.

    Because is not clear what appened, download and install syscheck hd edition, extract into sd/apps, from bootmii go into hbc, launch it and scan the wii, choose to produce a report that you will find as a .csv file into your sd root, copy and past it here so we can figure what is missing.
     
  9. apachehavok
    OP

    apachehavok GBAtemp Fan

    Member
    329
    69
    Jan 17, 2014
    Angola
    HI!!!

    Ok so from what I understand the modchip is not effected by the firmware. I have an OLD cyclowiz installed on it and correct me if Im wrong but because it is a hardmod it should be firmware independent.

    2 things here:

    So essentially -
    Update the HBC by putting the latest one on the SD card apps folder
    Then download and run the hackmii installer and run it?
    Then update the system menu?

    Sorry just a little confused.


    Option B:

    I have a wiiU. Is it just easier to let this wii be and mod the Vwii on the wiiU?

    Thanks all!!
     
  10. Zonta85

    Zonta85 GBAtemp Fan

    Member
    333
    23
    Nov 9, 2007
    Italy
    Ascoli Piceno
    Yes. With cylocwiz that has'nt firmware updates like wiikey you can get into some 001 or 002 errors, but they can easily fixed in many ways (loading discs trough usb loaders instead of wii's disc channel and so skipping the update partition, or removing the update partition, or using geckos, or updating the wii IOSes)
    First of all download the latest hackmii installer from bootmii.org, then place it under a subfolder of sd/apps.
    Because of the missing meta.xml and icon.png, you will find the installer as the last app on the homebrew channel. Run it and update both hbc and bootmii.
    If you have a cyclowiz that was the first modchip available, you should be able to install bootmii into the boot 2 (like me that i have a dayone wii with a wiikey v1).
    If you can, install bootmii both as boot 2 and ios.
    Once you've done that, write here again, i think that the best thing is to do once step at time.

    Sorry for my english :)
     
    Last edited by Zonta85, Nov 23, 2016
  11. Ninjamaster

    Ninjamaster Member

    Newcomer
    22
    0
    Dec 1, 2009
    Norway
    Hey thanks for the reply! I know I got into Nintendos system menu after installing the IOS files downloaded with Modmii, but after updating HBC with Hackmii again(Went from IOS61 to IOS58) I got this problem. I did a Syscheck:
    sysCheck v1.6.2 by Erik Spyder
    Region: PAL
    The system menu v450 is running under IOS58 (rev 6176)
    Hollywood v0x11
    Boot2 v4
    Found 166 titles
    Found 44 IOS on this console
    Found 5 IOS Stubs on this console

    IOS (revision),IOS Stub,Trucha Bug,ES Identify,Flash Access,NAND Access,Boot2 Access,USB 2.0
    IOS4 (rev 65280),Yes,?,?,?,?,?,?
    IOS9 (rev 1034),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS10 (rev 768),Yes,?,?,?,?,?,?
    IOS11 (rev 16174),No,Enabled,Disabled,Disabled,Enabled,Disabled,Disabled
    IOS12 (rev 526),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS13 (rev 1032),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS14 (rev 1032),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS15 (rev 1032),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS16 (rev 512),Yes,?,?,?,?,?,?
    IOS17 (rev 1032),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS20 (rev 16174),No,Enabled,Disabled,Disabled,Enabled,Disabled,Disabled
    IOS21 (rev 1039),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS22 (rev 1294),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS28 (rev 1807),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS30 (rev 16174),No,Enabled,Disabled,Disabled,Enabled,Disabled,Disabled
    IOS31 (rev 3608),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS33 (rev 3608),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS34 (rev 3608),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS35 (rev 3608),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS36 (rev 3608),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS37 (rev 5663),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS38 (rev 4124),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS40 (rev 16174),No,Enabled,Disabled,Disabled,Enabled,Disabled,Disabled
    IOS41 (rev 3607),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS43 (rev 3607),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS45 (rev 3607),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS46 (rev 3607),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS48 (rev 4124),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS50 (rev 16174),No,Enabled,Disabled,Disabled,Enabled,Disabled,Disabled
    IOS51 (rev 4864),Yes,?,?,?,?,?,?
    IOS52 (rev 16174),No,Enabled,Disabled,Disabled,Enabled,Disabled,Disabled
    IOS53 (rev 5663),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS55 (rev 5663),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS56 (rev 5662),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS57 (rev 5919),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS58 (rev 6176),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS60 (rev 16174),No,Enabled,Disabled,Disabled,Enabled,Disabled,Disabled
    IOS61 (rev 5662),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS62 (rev 6430),No,Disabled,Disabled,Disabled,Disabled,Disabled,Disabled
    IOS70 (rev 16174),No,Enabled,Disabled,Disabled,Enabled,Disabled,Disabled
    IOS80 (rev 16174),No,Enabled,Disabled,Disabled,Enabled,Disabled,Disabled
    IOS202 (rev 65535),No,Enabled,Disabled,Disabled,Enabled,Disabled,Enabled
    IOS222 (rev 4),No,Enabled,Enabled,Disabled,Enabled,Disabled,Enabled
    IOS223 (rev 4),No,Enabled,Enabled,Disabled,Enabled,Disabled,Enabled
    IOS224 (rev 65535),No,Enabled,Disabled,Disabled,Enabled,Disabled,Enabled
    IOS236 (rev 65535),No,Enabled,Enabled,Disabled,Enabled,Disabled,Disabled
    IOS249 (rev 21008),No,Enabled,Disabled,Disabled,Enabled,Disabled,Enabled
    IOS250 (rev 21008),No,Enabled,Disabled,Disabled,Enabled,Disabled,Enabled
    IOS254 (rev 3),Yes,?,?,?,?,?,?


    Report generated on 2016/11/23
     
    Last edited by Ninjamaster, Nov 23, 2016
  12. Zonta85

    Zonta85 GBAtemp Fan

    Member
    333
    23
    Nov 9, 2007
    Italy
    Ascoli Piceno
    It seems that you have some issues with your system menu (accordingly to your report is 4.1 pal) and the revision of his pairing ios that is very weird.

    Download and extract dopmii ios v16 to sd/apps and then download and instalel syste, menu 4.3 and IOS 80 v6944 then exit and reboot, the wii should work again.
     
  13. Ninjamaster

    Ninjamaster Member

    Newcomer
    22
    0
    Dec 1, 2009
    Norway
    Ok , I only installed the IOS Modmii custom progam said to, some IOS files I have installed 7 years ago last time I used the console. Theres a scary the disclaimer on wiibrew about Dopmii:
    "** WARNING: DO NOT USE THIS PROGRAM TO CHANGE YOUR SYSTEM MENU VERSION! It is buggy and unmaintained. Its bug tracker is full with people who bricked their console by using it! **"
     
  14. Zonta85

    Zonta85 GBAtemp Fan

    Member
    333
    23
    Nov 9, 2007
    Italy
    Ascoli Piceno
    That page is oudated, i've talked about dopmii v16, the page relinks to dopmii v14.5
    And before i asked you a report with syscheck hd edition, while you produced one with a very old revision that is outdated and make the report difficult to "read", then, please, follow my suggestion carefully instead using the first results of a google search, find the specific version!
    I've attached for you dopmii v16 here.
    And talking about that warning, even if was referred to this version, you've alredy bricked so don't care about it.

    Extract to sd/apps, load trough hbc, press A button at the beginning , then when requested confirm to use IOS 58 for the available AHBPROT
    After a few moments you will enter a menu, select "IOS, BC, MIOS"
    Go to "title IOS80", select version "v6944", press + button to install
    After you've done this, go back to thw main menu and select "System menu"
    Select "System menu 4.3", select region "Europe (E)", press + button to install
    Once you have done this you can exit, turn off the wii and it should work properly

    — Posts automatically merged - Please don't double post! —
     

    Attached Files:

  15. Ninjamaster

    Ninjamaster Member

    Newcomer
    22
    0
    Dec 1, 2009
    Norway
    Thank you for following me up here! Ok so what happened to the Wii is a Brick, I wasnt sure, I am very noob sorry. I actually found v16 of Dopmii, but I was under the impression Wiibrew site was updated. I will look for the latest Syscheck and install the Dopmii and report back here when I am done.
    Thanks again, appreciate the help, without internet communites like this I would be completely blank on the subject!
     
  16. Zonta85

    Zonta85 GBAtemp Fan

    Member
    333
    23
    Nov 9, 2007
    Italy
    Ascoli Piceno

    Communities like these are beautiful for this reason: everyone of us is noob about something, and everypne of us will find a person that will help! :)

    Don't be afraid to ask!

    Do what i've said wirh dop mii and the Wii should come back, once done, produce a new sycheck report! :)
     
  17. Ninjamaster

    Ninjamaster Member

    Newcomer
    22
    0
    Dec 1, 2009
    Norway
    Oh man I got confused and did a stupid mistake. Instead of clicking on the IOS58 I clicked "Install IOS36 (v3351) w/FakeSign" after completing an errorprone install I understand its possible to click the highlighted "IOS: 58" - I try but it says "Error! Choose an IOS that accepts fake signing!" Unfortunately theres no uninstall option for FakeSign...Ugh...I feel like an idiot - Did I ruin my Wii now or can i revert my misdeed?
     
  18. Zonta85

    Zonta85 GBAtemp Fan

    Member
    333
    23
    Nov 9, 2007
    Italy
    Ascoli Piceno
    Don't care about this message. Boot the homebrew again and this time don't move the dpad, just press A on the uplighted option 36, without changing it. After it will ask you if you want to use AHBPROT, press A to say yes and then follow the previous guidelines that i wrote ;)
     
  19. Ninjamaster

    Ninjamaster Member

    Newcomer
    22
    0
    Dec 1, 2009
    Norway
    Ok, installing the IOS80 worked fine, but installing the system update 4.3E takes me to a black screen with "Exception (DSI) Occured!" lots of letters n numbers, stack dump code dump etc.

    Running the SysCheckHacksDenEdition 2.4 I get this message at last:
    Falied to get the stored TMD for IOS36
     
    Last edited by Ninjamaster, Nov 23, 2016
  20. Zonta85

    Zonta85 GBAtemp Fan

    Member
    333
    23
    Nov 9, 2007
    Italy
    Ascoli Piceno
    Try to reinstall again the system menu 4.3 using dop mii. If you will get another exception dsi error let me know